org.apache.hc.client5.http.impl.auth

## Class SPNegoSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.SPNegoSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory

    @Contract(threading=STATELESS)
     @Experimental
    public class SPNegoSchemeFactory
    extends Object
    implements AuthSchemeFactory

`AuthSchemeFactory` implementation that creates and initializes `SPNegoScheme` instances.

Please note this class is considered experimental and may be discontinued or removed in the future.

Since:
  4.2

### Field Summary

Fields
`static SPNegoSchemeFactory` `DEFAULT` Singleton instance for the default configuration.

### Constructor Summary

Constructors
Constructor and Description
`SPNegoSchemeFactory(KerberosConfig config, DnsResolver dnsResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthScheme` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final SPNegoSchemeFactory DEFAULT

Singleton instance for the default configuration.

### Constructor Detail

#### SPNegoSchemeFactory

    public SPNegoSchemeFactory(KerberosConfig config,
                               DnsResolver dnsResolver)

Since:
  5.0

### Method Detail

#### create

    public AuthScheme create(org.apache.hc.core5.http.protocol.HttpContext context)

Description copied from interface: `AuthSchemeFactory`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeFactory`
Returns:
  auth scheme.